wcserr Struct Reference

Error message handling. More...

`#include <wcserr.h>`

## Data Fields

int | status
int | line_no
const char * | function
const char * | file
char | msg [WCSERR_MSG_LENGTH]

## Detailed Description

The wcserr struct contains the numeric error code, a textual description of the error, and information about the function, source file, and line number where the error was generated.

## Field Documentation

int wcserr::status

Numeric status code associated with the error, the meaning of which depends on the function that generated it. See the documentation for the particular function.

int wcserr::line_no

Line number where the error occurred as given by the __LINE__ preprocessor macro.

const char *function Name of the function where the error occurred.

const char *file Name of the source file where the error occurred as given by the __FILE__ preprocessor macro.

const char* wcserr::function

const char* wcserr::file

char wcserr::msg

Informative error message.